# Perform a Keyword Search. Return a list of Assets. To Retrieve the Assets list there is two types of searches available, Simple Keyword Search: Requesting user can get list of Assets against search terms/keywords list. For example ["keyword1", "keyword2"] Facet Search: Requesting user can get list of Assets against Facet value list. For example ["Facet: facet_value"] Targeted Search: Requesting user can target keyword searches against Filename, Asset ID, Metadata, or Content (extracted text from documents) by passing the optional property of keywordSearchField. Requesting user can apply the combination of both searches and if there is no keyword/facet in requesting body it will apply wildcard search. By default AND operation will be applied with search terms and/or facets. By default, up to 50 Assets will return from the search.You can also set search offset by setting the from property. For example, for the first page, set from to zero. After that set from to 50, 100, 150, etc. Endpoint: POST /search/keyword Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Request fields (application/json): - `from` (integer) Search offset from which index search will start - `searchTerm` (array) List of search terms with AND operation be default Example: ["*"] - `includeDeleted` (boolean) Flag to denote whether or not to include Deleted assets in the result - `includeVersions` (boolean) Flag to denote whether or not to include prior versions of the asset in the result - `sortBy` (array) - `sortBy.metadataDefinitionSearchField` (string) Sort the result set according to specified attributes by metadata search field name Example: "lastUpdatedEpoch" - `sortBy.order` (string) Sort Order Enum: "asc", "desc" - `operation` (string) Operation between search terms Enum: "AND", "OR" - `aggregations` (boolean) Boolean field to indicate whether or not to return filter menu aggregation counts for the search term. Set to false to significant improve speed and reduce payload size. - `keywordSearchField` (string) Specified Search Target. Valid values are - filename, assetId, metadata, content Enum: "filename", "assetId", "metadata", "content" ## Response 200 fields (application/json): - `hitCount` (integer) Number of Assets return Example: 1 - `result` (array) List of Asset objects - `result.createdBy` (string) User ID who created this Asset Example: "7d675ef0-f423-11e9-8071-89c0c405214e" - `result.createdEpoch` (integer) Creation time in milliseconds Example: 1608745510614 - `result.currentVersion` (string) Current version flag Enum: "Y", "N" - `result.customerId` (string) Customer ID of Created By User's Account Example: "123203455" - `result.fileId` (string) Asset File ID - `result.filename` (string) Asset content file name Example: "adventure-alps-beautiful-landscape-2444403.jpg" - `result.fileState` (string) Asset content file state Enum: "available", "recycle bin" - `result.lastUpdatedBy` (any) User ID who last updated the asset Example: "7d675ef0-f423-11e9-8071-89c0c40133ds" - `result.lastUpdatedEpoch` (integer) Last update time in milliseconds Example: 1612333543954 - `result.metadata` (array) Array of metadata attributes - `result.metadataDenormalized` (object) Metadata document is a flat list of metadata attributes and values, where values are either in text values or foreign keys / referential values - `result.metadataState` (string) Asset metadata state Enum: "available", "recycle bin" - `result.metadataTemplateId` (string) Metadata Template ID Example: "ea6eb24d-adef-4380-bd02-f64f567c437f" - `result.objectId` (string) Asset Object ID Example: "e6f4bd5e-9bea-43cb-b15e-22582fa5322e" - `result.objectType` (string) Asset Object type Enum: "Asset" - `result.originalFileId` (string) The ID of the original version of the file Example: "003391e4-e78a-4186-b2d7-b5d4fcbe445d" - `result.renditions` (object) Renditions details - `result.renditions.width` (integer) Example: 4000 - `result.renditions.imageThumb` (string) Example: "https://host.io/1571671854145/3a76743f-45f6-4d30-a7d4-05de2dc8c232/cc8f089a-1464-89d5-42f6-77217a9f09f2-200x200.png" - `result.renditions.imagePreview` (string) Example: "https://host.io/1571671854145/3a76743f-45f6-4d30-a7d4-05de2dc8c232/cc8f089a-1464-42f6-89d5-77217a9f09f2-700x700.png" - `result.renditions.fpo` (string) Example: "https://host.io/1571671854145/3a76743f-45f6-4d30-a7d4-05de2dc8c232/adventure-alps-beautiful-landscape-2444403-fpo.png" - `result.renditions.imagePreviewLarge` (string) Example: "https://host.io/1571671854145/3a76743f-45f6-4d30-a7d4-05de2dc8c232/cc8f089a-1464-42f6-89d5-77217a9f09f2-1000x1000.png" - `result.renditions.mezzaninePreview` (string) Example: "https://host.io/1571671854145/3a76743f-45f6-4d30-a7d4-05de2dc8c232/adventure-alps-beautiful-landscape-2444403-3000x3000.png" - `result.renditions.height` (integer) Example: 6000 - `result.securityTemplateIds` (array) List of Security Template IDs Example: ["7d6f4e30-f423-11e9-8071-89c0c4052156"] - `result.securityDenormalized` (array) - `result.securityDenormalized.groupId` (string) Example: "7d6207c0-f423-11e9-8071-89c0c4052141" - `result.securityDenormalized.permissions` (array) Example: ["d0bbfb23-9304-4eb0-9c60-8e6e27a580d9"] - `result.technicalMetadata` (object) Technical metadata about the asset - `result.technicalMetadata.tenovos_metadata` (object) Core technical metadata - `result.technicalMetadata.tenovos_metadata.fileName` (string) Example: "adventure-alps-beautiful-landscape-2444403.jpg" - `result.technicalMetadata.tenovos_metadata.fileSize` (string) Example: "4.4 MB" - `result.technicalMetadata.tenovos_metadata.MD5Checksum` (string) Example: "6cbc612262877e8502904ea3ffd6a278" - `result.technicalMetadata.image_metadata` (object) - `result.technicalMetadata.image_metadata.fileType` (string) Example: "JPEG" - `result.technicalMetadata.image_metadata.fileTypeExtension` (string) Example: "jpg" - `result.technicalMetadata.image_metadata.mimeType` (string) Example: "image/jpeg" - `result.technicalMetadata.image_metadata.jfifVersion` (string) Example: "1.01" - `result.technicalMetadata.image_metadata.resolutionUnit` (string) Example: "inches" - `result.technicalMetadata.image_metadata.xResolution` (string) Example: "72" - `result.technicalMetadata.image_metadata.yResolution` (string) Example: "72" - `result.technicalMetadata.image_metadata.profileCMMType` (string) Example: "Linotronic" - `result.technicalMetadata.image_metadata.profileVersion` (string) Example: "2.1.0" - `result.technicalMetadata.image_metadata.profileClass` (string) Example: "Display Device Profile" - `result.technicalMetadata.image_metadata.colorSpaceData` (string) Example: "RGB" - `result.technicalMetadata.image_metadata.profileConnectionSpace` (string) Example: "XYZ" - `result.technicalMetadata.image_metadata.profileDateTime` (string) Example: "1998:02:09 06:49:00" - `result.technicalMetadata.image_metadata.profileFileSignature` (string) Example: "acsp" - `result.technicalMetadata.image_metadata.primaryPlatform` (string) Example: "Microsoft Corporation" - `result.technicalMetadata.image_metadata.cmmFlags` (string) Example: "Not Embedded, Independent" - `result.technicalMetadata.image_metadata.deviceManufacturer` (string) Example: "Hewlett-Packard" - `result.technicalMetadata.image_metadata.deviceModel` (string) Example: "sRGB" - `result.technicalMetadata.image_metadata.deviceAttributes` (string) Example: "Reflective, Glossy, Positive, Color" - `result.technicalMetadata.image_metadata.renderingIntent` (string) Example: "Perceptual" - `result.technicalMetadata.image_metadata.connectionSpaceIlluminant` (string) Example: "0.9642 1 0.82491" - `result.technicalMetadata.image_metadata.profileCreator` (string) Example: "Hewlett-Packard" - `result.technicalMetadata.image_metadata.profileID` (string) Example: "0" - `result.technicalMetadata.image_metadata.profileCopyright` (string) Example: "Copyright (c) 1998 Hewlett-Packard Company" - `result.technicalMetadata.image_metadata.profileDescription` (string) Example: "sRGB IEC61966-2.1" - `result.technicalMetadata.image_metadata.mediaWhitePoint` (string) Example: "0.95045 1 1.08905" - `result.technicalMetadata.image_metadata.mediaBlackPoint` (string) Example: "0 0 0" - `result.technicalMetadata.image_metadata.redMatrixColumn` (string) Example: "0.43607 0.22249 0.01392" - `result.technicalMetadata.image_metadata.greenMatrixColumn` (string) Example: "0.38515 0.71687 0.09708" - `result.technicalMetadata.image_metadata.blueMatrixColumn` (string) Example: "0.14307 0.06061 0.7141" - `result.technicalMetadata.image_metadata.deviceMfgDesc` (string) Example: "IEC http://www.iec.ch" - `result.technicalMetadata.image_metadata.deviceModelDesc` (string) Example: "IEC 61966-2.1 Default RGB color space - sRGB" - `result.technicalMetadata.image_metadata.viewingCondDesc` (string) Example: "Reference Viewing Condition in IEC61966-2.1" - `result.technicalMetadata.image_metadata.viewingCondIlluminant` (string) Example: "19.6445 20.3718 16.8089" - `result.technicalMetadata.image_metadata.viewingCondSurround` (string) Example: "3.92889 4.07439 3.36179" - `result.technicalMetadata.image_metadata.viewingCondIlluminantType` (string) Example: "D50" - `result.technicalMetadata.image_metadata.luminance` (string) Example: "76.03647 80 87.12462" - `result.technicalMetadata.image_metadata.measurementObserver` (string) Example: "CIE 1931" - `result.technicalMetadata.image_metadata.measurementBacking` (string) Example: "0 0 0" - `result.technicalMetadata.image_metadata.measurementGeometry` (string) Example: "Unknown" - `result.technicalMetadata.image_metadata.measurementFlare` (string) Example: "0.999%" - `result.technicalMetadata.image_metadata.measurementIlluminant` (string) Example: "D65" - `result.technicalMetadata.image_metadata.technology` (string) Example: "Cathode Ray Tube Display" - `result.technicalMetadata.image_metadata.redToneReproductionCurve` (string) Example: "(Binary data 2060 bytes, use -b option to extract)" - `result.technicalMetadata.image_metadata.greenToneReproductionCurve` (string) Example: "(Binary data 2060 bytes, use -b option to extract)" - `result.technicalMetadata.image_metadata.blueToneReproductionCurve` (string) Example: "(Binary data 2060 bytes, use -b option to extract)" - `result.technicalMetadata.image_metadata.imageWidth` (integer) Example: 3264 - `result.technicalMetadata.image_metadata.imageHeight` (integer) Example: 4080 - `result.technicalMetadata.image_metadata.encodingProcess` (string) Example: "Baseline DCT, Huffman coding" - `result.technicalMetadata.image_metadata.bitsPerSample` (number) Example: 8 - `result.technicalMetadata.image_metadata.colorComponents` (integer) Example: 3 - `result.technicalMetadata.image_metadata.yCbCrSubSampling` (string) Example: "YCbCr4:2:0 (2 2)" - `result.technicalMetadata.image_metadata.imageSize` (string) Example: "3264x4080" - `result.technicalMetadata.image_metadata.megapixels` (number) Example: 13.3 - `result.presignedURL` (string) The URL to download the file. Populated for download requests. - `result.linkType` (string) - `result.relationshipId` (string) - `result.secondaryId` (string) - `result.versionNumber` (integer) Asset version number - `facets` (array) - `facets.facet_name` (string) Name of the facet Example: "Agency" - `facets.values` (array) List of facet values - `facets.values.key` (string) Key of the facet Example: "Sunset Images LLC" - `facets.values.doc_count` (integer) Number of Assets against the key Example: 3 ## Response 400 fields (application/json): - `status` (string) Example: "success" - `message` (string) Example: "Detailed Message" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `status` (string) Example: "success" - `message` (string) Example: "Detailed Message"